local n = "cube"

return {
	skinning = false,
	primitive = {
		diffuse = {0.5, 0.5, 0.5, 1},
		specular = {0, 0, 0, 1},
		emission = {0, 0, 0, 0},
		shininess = 16,
	},
	{
		{
			glsl = {
				vs = {330, "regular.vs.glsl"},
				fs = {330, "regular.fs.glsl"},
				defs = {GLCORE = ""},
				u = {u_dif = 0},
			},
			units = {
				{tex = n .. ".dif.png"},
			}
		}
	},
	{
		{
			glsl = {
				vs = {120, "regular.vs.glsl"},
				fs = {120, "regular.fs.glsl"},
				defs = {},
				u = {u_dif = 0},
			},
			units = {
				{tex = n .. ".dif.png"},
			}
		}
	},
	{
		{
			units = {
				{tex = n .. ".dif.png"}
			}
		}
	},
}
